// Beispiel fuer die Eingabe ganzer Zahlen von der Tastatur
// Ch. Herzog, 12.12.2006

import java.io.*;
public class TastaturEingabe {
   public static void main(String[] args) {
      
      // System.in ist ein byteorientierter (binaerer) Eingabestrom.
      // InputSreamReader macht daraus einen textorientierten Eingabestrom:
      InputStreamReader inStrRead = new InputStreamReader(System.in);

      // BufferedReader bietet die "praktische" Operation readln:
      BufferedReader buffRead = new BufferedReader(inStrRead);

      int[] reihung = new int[5];
      int i = 0;
      while (i < reihung.length) {
         System.out.print("Bitte ganze Zahl Nr. " + (i+1) + " eingeben: ");
         String eingabe = null;
         try {
            eingabe = buffRead.readLine();
            reihung[i] = Integer.parseInt(eingabe);
            i++;
         }
         catch (IOException e) {
            System.err.println("unerwarteter E/A-Fehler: " + e);
            System.exit(99); 
         }
         catch (NumberFormatException e) {
           System.out.println("Achtung: " + eingabe + " ist keine ganze Zahl.");
         }
      }
      System.out.println("Diese Zahlen haben Sie eingegeben:");
      for (i = 0; i < reihung.length; i++)
         System.out.print("  " + reihung[i]);
      System.out.println();
   }
}
